Documentation menu

Reference

Cloud API

REST API reference for integrating Ontoly Cloud into your workflows — reports, evidence, and project management.

Authentication

All API requests require a Bearer token or API key. Generate API keys in your organization settings at www.ontoly.xyz/settings. Include the key in the Authorization header.

TERMINAL
Authorization: Bearer <your-api-key>

# Or as a query parameter for webhooks:
?api_key=<your-api-key>

Verification endpoints

Endpoints for triggering and retrieving verification runs and findings.

TERMINAL
POST   /api/v1/verification/runs                          # trigger verification
GET    /api/v1/verification/runs                          # list runs
GET    /api/v1/verification/runs/:id                      # get run
GET    /api/v1/verification/runs/:id/findings              # run findings
GET    /api/v1/verification/runs/:id/evidence              # run evidence packs
GET    /api/v1/verification/evidence/:id                   # get evidence pack
GET    /api/v1/verification/repositories/:repoId/latest    # latest run for repo

Review endpoints

Endpoints for PR reviews and AI-generated structural analysis.

TERMINAL
GET    /api/v1/reviews/pull-requests                      # list pull requests
GET    /api/v1/reviews/pull-requests/:id                  # get pull request
POST   /api/v1/reviews/:runId/post                        # post review to GitHub
GET    /api/v1/reviews/:runId/preview                     # preview review markdown
GET    /api/v1/reviews/ai/run/:runId                      # AI review for run
POST   /api/v1/reviews/ai/run/:runId/generate             # generate AI review

Health and graph endpoints

Endpoints for repository health timeline, graph data, and snapshots.

TERMINAL
GET    /api/v1/health/repositories/:repoId/timeline       # health timeline
GET    /api/v1/health/repositories/:repoId/latest          # latest health
GET    /api/v1/health/repositories/:repoId/snapshots       # health snapshots
GET    /api/v1/health/repositories/:repoId/graph           # graph data
GET    /api/v1/health/repositories/:repoId/graph/commits   # graph commits
GET    /api/v1/health/diffs/:id                            # get diff

Intelligence endpoints

Endpoints for AI-powered chat sessions with graph evidence.

TERMINAL
GET    /api/v1/intelligence/sessions                      # list sessions
POST   /api/v1/intelligence/sessions                      # create session
GET    /api/v1/intelligence/sessions/:id                   # get session
GET    /api/v1/intelligence/sessions/:id/messages           # get messages
POST   /api/v1/intelligence/sessions/:id/messages           # send message

Repository and organization endpoints

Endpoints for managing repositories, organizations, and members.

TERMINAL
GET    /api/v1/repositories                               # list repositories
POST   /api/v1/repositories                               # create repository
GET    /api/v1/repositories/:id                            # get repository
PATCH  /api/v1/repositories/:id                            # update repository
DELETE /api/v1/repositories/:id                            # delete repository
GET    /api/v1/organizations/current                       # current org details
GET    /api/v1/organizations/current/members               # org members